Revert "add yamllinter check (#124)" (#127)

This reverts commit bca3810496.
This commit is contained in:
Sajjad Hashemian 2018-06-16 09:09:10 +04:30 committed by Toby Zerner
parent dcef34bafa
commit dfaf0eb0f3
2 changed files with 0 additions and 39 deletions

View File

@ -1,7 +0,0 @@
language: bash
before_script:
- go get github.com/sijad/yaml-translation-utils/yamllinter
script:
- bash scripts/linter.sh

View File

@ -1,32 +0,0 @@
if ! [ -x "$(command -v yamllinter)" ]; then
echo 'Error: yamllinter is not installed.' >&2
exit 1
fi
GREEN='\033[0;32m'
RED='\033[0;31m'
NC='\033[0m'
cd "./locale"
RC=0
for r in *.yml
do
[ "$r" != "validation.yml" ] || continue
echo "Checking $r:"
yamllinter --file "$r" --level 2
if [ $? -eq 1 ]; then
RC=1
printf "${RED}⨉ faild${NC}\n"
else
printf "${GREEN}✓ passed${NC}\n"
fi
echo
done
exit $RC